# pywikipathways
Python Client Package for the WikiPathways API

Use this package to interface with the WikiPathways API.
It provides programmatic access to WikiPathways content.

This is a Python port of [rWikiPathways](http://bioconductor.org/packages/release/bioc/html/rWikiPathways.html) R (Bioconductor) package.
The names of functions and their arguments are unified between the two.
(However, there is a difference between a camel case and a snake case.)

This project is inspired by [py4cytoscape](https://github.com/cytoscape/py4cytoscape) for [RCy3](https://github.com/cytoscape/RCy3).
Just as py4cytoscape ports RCy3 and function specifications to Python, pywikipathways also ports rWikiPathways functions to Python.

## Try pywikipathways with Google Colab
[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/kozo2/pywikipathways/blob/main/docs/pywikipathways_Overview.ipynb)

## Installation
```
pip install pywikipathways
```

## Instructions for installing the development version

1. Install Python and [pip](https://pip.pypa.io/en/stable/)
2. Install [Git](https://git-scm.com/download)
3. Install the development version of pywikipathways with the following command.
  ```
  pip install git+https://github.com/kozo2/pywikipathways.git
  ```

## Documentation
https://pywikipathways.readthedocs.io
